%  orthog1.m
% Matlab file for Part 1 of the Orthogonality module

disp('*********************************************')
disp('Part 1:  Basic operations')
disp('*********************************************')
disp('  ')    

    format short
    
    disp('Step 1 (inner product):')
    disp('Entering the following commands will generate')
    disp('random column vectors x and y and then find')
    disp('their inner product two ways.  Experiment ')
    disp('by executing the commands several times ')
    disp('and see if you discern a pattern, i.e., how ')
    disp('is the inner product calculated?  ')
    disp(' ')
    disp('Give your answer using MATLAB comments in your ')
    disp('diary file. ')
    disp(' ')
    disp('Enter: ')
    disp(' ')
    disp('  x=floor( 100*(2*rand(4,1)-1) ) ')
    disp('  y=floor( 100*(2*rand(4,1)-1) ) ')
    disp('  x''*y ')
    disp('  dot(x,y) ')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;   
    disp(' ')
    
    disp('----------------------------------------------')
    disp('Step 1 (symbolic inner product) ')
    disp('Now confirm your observation symbolically.')
    disp('Comment in your diary file. ')
    disp(' ')
    disp('Enter: ')
    disp(' ')
    disp(' syms a1 a2 a3 a4 b1 b2 b3 b4 real ')
    disp(' a=[a1 a2 a3 a4]''  ')
    disp(' b=[b1 b2 b3 b4]''  ')
    disp(' a''*b ')
    disp(' dot(a,b) ')
    disp(' ')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;   
    disp(' ')

    disp('----------------------------------------------')
    disp('Step 1 (norm):')
    disp('Investigate properties of the vector norm ')
    disp('using the random column vector x.')
    disp('Execute the commands several times ')
    disp('and see if you discern a pattern, i.e., how ')
    disp('is the vector norm calculated?  ')
    disp(' ')
    disp('Give your answer using MATLAB comments in your ')
    disp('diary file. ')
    disp(' ')
    disp('Enter: ')
    disp(' ')
    disp('  x=floor( 100*(2*rand(4,1)-1) ) ')
    disp('  sqrt( x''*x ) ')
    disp('  sqrt( dot(x,x) ) ')
    disp('  sqrt( sum(x.^2) )')
    disp('  norm(x) ')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;   
    disp(' ')
    
    disp('----------------------------------------------')
    disp('Step 1 (symbolic norm) ')
    disp('Now confirm your observation symbolically.')
    disp(' ')
    disp('Enter: ')
    disp(' ')
    disp(' sqrt( sum(a.^2) ) ')
    disp(' sqrt( dot(a,a) )')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;   
    disp(' ')
    
    disp('----------------------------------------------')
    disp('Step 2:')
    disp('Enter the matrix A and compute A''*A. ')
    disp('What do you conclude about the columns of A. ')
    disp('Answer using MATLAB comments in your diary file. ')
    disp(' ')
    disp('Enter: ')
    disp(' ')
    disp(' A = [-6, -3, 6, 1 ')
    disp('      -1, 2, 1, -6 ')
    disp('       3, 6, 3, -2 ')
    disp('       6, -3, 6, -1 ')
    disp('       2, -1, 2, 3  ')
    disp('      -3, 6, 3, 2  ')
    disp('      -2, -1, 2, -3 ')
    disp('       1, 2, 1, 6] ')
    disp(' ')
    disp(' A''*A   ')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;   
    disp(' ')
    
    disp('----------------------------------------------')
    disp('Step 2:')
    disp('Check your conclusions above by using the dot')
    disp('and norm commands on the columns of A. ')
    disp('Note:  In MATLAB, A(:,i) is the ith column of A.')
    disp(' ')
    disp('------------------------------------------------')   
    disp('Comment on your results in  your diary file.')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;   
    disp(' ')
    
    disp('----------------------------------------------')
    disp('Step 3:')
    disp('What is the rank of A?  Explain how you know. ')
    disp('Use MATLAB comments in your diary file. ')
    disp(' ')
    disp(' ')
    disp('----------------------------------------------')
    disp('To go on to part 2 of this module, ')
    disp('type: orthog2')
    disp(' ')